Subject: Re: [PATCH 3/3] counter: Add atmel TCB capture counter

From: Alexandre Belloni <[email-masked]>
Date: Wed, 8 Apr 2020 23:56:25 +0200

Hi William,

On 08/04/2020 17:31:03-0400, William Breathitt Gray wrote:
> On Mon, Apr 06, 2020 at 05:53:20PM +0200, Kamel Bouhara wrote:
> > This drivers allows to use the capture mode of the Timer Counter Block
> > hardware block available in Atmel SoCs through the counter subsystem.
> > 
> > Two functions of the counter are supported for the moment: period
> > capture and quadrature decoder. The latter is only supported by the
> > SAMA5 series of SoCs.
> > 
> > For the period capture mode a basic setup has been chosen that will
> > reset the counter each time the period is actually reached. Of course
> > the device offers much more possibilities.
> > 
> > For quadrature mode, both channel 0 and 1 must be configured even if we
> > only capture the position (no revolution/rotation).
> > 
> > Signed-off-by: Kamel Bouhara <[email-masked]>
> 
> Hi Kamel,
> 
> Thank you for submitting support for this driver. Since this is a new
> counter driver, make sure to create an entry for it in the top-level
> MAINTAINERS file so users know who to contact to report bugs and other
> issues.
> 

The file name already matches for the at91 maintainers so I think we are
good on this front.

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel